<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <form>
        <div>
            <label for="number">
                Price:
                <input type="number" id="number" />
            </label>
        </div>
    </form>
    <script>
        const input = document.getElementById('number');
        input.addEventListener('focus', () => {
            input.style.outlineColor = 'green';

        })
        input.addEventListener('blur', () => {
            if (input.value > 0) {
                console.log(input.value);
                const div = document.querySelector('div');
                let span = document.createElement('span');
                span.innerHTML = `Текущая цена: ${input.value}`;
                let button = document.createElement('button');
                button.textContent = 'X';
                div.before(span);
                span.after(button);
                input.style.color = 'green';
                button.addEventListener('click', function () {
                    if (isFirstClick) {
                        span.remove();
                        button.remove();
                        value.remove();
                        isFirstClick = false;
                    } 
                });
            
            }  else if (input.value < 0){
                input.style.borderColor = 'red';
                const p = document.createElement('p');
                const div = document.querySelector('div');
                p.textContent = 'Please enter correct price';
                div.append(p);
            }
        })
    </script>
</body>

</html>